org.scalatest.events

# InfoProvided

#### case class InfoProvided (ordinal: Ordinal, message: String, nameInfo: Option[NameInfo], aboutAPendingTest: Option[Boolean], throwable: Option[Throwable], formatter: Option[Formatter], payload: Option[Any], threadName: String, timeStamp: Long) extends Event with Product with Serializable

Event used to provide information that is not appropriate to report via any other `Event`.

To create instances of this class you may use one of the factory methods provided in its companion object. For example, given a report function named `report`, you could fire a `InfoProvided` event like this:

    report(InfoProvided(ordinal, message, Some(NameInfo(suiteName, Some(thisSuite.getClass.getName), Some(testName)))))

An `InfoProvided` event may be fired from anywhere. In this respect `InfoProvided` is different from the other events, for which it is defined whether they are fired in the context of a suite or test. If fired in the context of a test, the `InfoProvided` event should include a `NameInfo` in which `testName` is defined. If fired in the context of a suite, but not a test, the `InfoProvided` event should include a `NameInfo` in which `testName` is not defined. If fired within the context of neither a suite nor a test, the `nameInfo` of the `InfoProvided` event (an `Option[NameInfo]`) should be `None`.

ordinal

  an `Ordinal` that can be used to place this event in order in the context of other events reported during the same run

message

  a localized message suitable for presenting to the user

nameInfo

  an optional `NameInfo` that if defined, provides names for the suite and optionally the test in the context of which the information was provided

aboutAPendingTest

  indicates whether the information being provided via this event is about a pending test

throwable

  an optional `Throwable`

formatter

  an optional formatter that provides extra information that can be used by reporters in determining how to present this event to the user

payload

  an optional object that can be used to pass custom information to the reporter about the `InfoProvided` event

threadName

  a name for the `Thread` about whose activity this event was reported

timeStamp

  a `Long` indicating the time this event was reported, expressed in terms of the number of milliseconds since the standard base time known as "the epoch": January 1, 1970, 00:00:00 GMT

Attributes
  final

Linear Supertypes
Serializable, Serializable, Product, Equals, Event, Ordered[Event], Comparable[Event], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. InfoProvided
2. Serializable
3. Serializable
4. Product
5. Equals
6. Event
7. Ordered
8. Comparable
9. AnyRef
10. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new InfoProvided (ordinal: Ordinal, message: String, nameInfo: Option[NameInfo], aboutAPendingTest: Option[Boolean], throwable: Option[Throwable], formatter: Option[Formatter], payload: Option[Any], threadName: String, timeStamp: Long)

   ordinal

     an `Ordinal` that can be used to place this event in order in the context of other events reported during the same run

   message

     a localized message suitable for presenting to the user

   nameInfo

     an optional `NameInfo` that if defined, provides names for the suite and optionally the test in the context of which the information was provided

   aboutAPendingTest

     indicates whether the information being provided via this event is about a pending test

   throwable

     an optional `Throwable`

   formatter

     an optional formatter that provides extra information that can be used by reporters in determining how to present this event to the user

   payload

     an optional object that can be used to pass custom information to the reporter about the `InfoProvided` event

   threadName

     a name for the `Thread` about whose activity this event was reported

   timeStamp

     a `Long` indicating the time this event was reported, expressed in terms of the number of milliseconds since the standard base time known as "the epoch": January 1, 1970, 00:00:00 GMT

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def < (that: Event): Boolean

   Definition Classes
     Ordered

5. #### def <= (that: Event): Boolean

   Definition Classes
     Ordered

6. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

7. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

8. #### def > (that: Event): Boolean

   Definition Classes
     Ordered

9. #### def >= (that: Event): Boolean

   Definition Classes
     Ordered

10. #### val aboutAPendingTest : Option[Boolean]

    indicates whether the information being provided via this event is about a pending test

11. #### def asInstanceOf [T0] : T0

    Attributes
      final
    Definition Classes
      Any

12. #### def canEqual (arg0: Any): Boolean

    Definition Classes
      InfoProvided → Equals

13. #### def clone (): AnyRef

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

14. #### def compare (that: Event): Int

    Comparing `this` event with the event passed as `that`.

    Comparing `this` event with the event passed as `that`. Returns x, where x < 0 iff this < that, x == 0 iff this == that, x > 0 iff this > that.

    that

      the event to compare to this event

    Definition Classes
      Event → Ordered

15. #### def compareTo (that: Event): Int

    Definition Classes
      Ordered → Comparable

16. #### def eq (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

17. #### def equals (arg0: Any): Boolean

    Definition Classes
      InfoProvided → Equals → AnyRef → Any

18. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

19. #### val formatter : Option[Formatter]

    an optional formatter that provides extra information that can be used by reporters in determining how to present this event to the user

    an optional formatter that provides extra information that can be used by reporters in determining how to present this event to the user

    Definition Classes
      InfoProvided → Event

20. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

21. #### def hashCode (): Int

    Definition Classes
      InfoProvided → AnyRef → Any

22. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

23. #### val message : String

    a localized message suitable for presenting to the user

24. #### val nameInfo : Option[NameInfo]

    an optional `NameInfo` that if defined, provides names for the suite and optionally the test in the context of which the information was provided

25. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

26. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

27. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

28. #### val ordinal : Ordinal

    an `Ordinal` that can be used to place this event in order in the context of other events reported during the same run

    an `Ordinal` that can be used to place this event in order in the context of other events reported during the same run

    Definition Classes
      InfoProvided → Event

29. #### val payload : Option[Any]

    an optional object that can be used to pass custom information to the reporter about the `InfoProvided` event

    an optional object that can be used to pass custom information to the reporter about the `InfoProvided` event

    Definition Classes
      InfoProvided → Event

30. #### def productArity : Int

    Definition Classes
      InfoProvided → Product

31. #### def productElement (arg0: Int): Any

    Definition Classes
      InfoProvided → Product

32. #### def productIterator : Iterator[Any]

    Definition Classes
      Product

33. #### def productPrefix : String

    Definition Classes
      InfoProvided → Product

34. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

35. #### val threadName : String

    a name for the `Thread` about whose activity this event was reported

    a name for the `Thread` about whose activity this event was reported

    Definition Classes
      InfoProvided → Event

36. #### val throwable : Option[Throwable]

    an optional `Throwable`

37. #### val timeStamp : Long

    a `Long` indicating the time this event was reported, expressed in terms of the number of milliseconds since the standard base time known as "the epoch": January 1, 1970, 00:00:00 GMT

    a `Long` indicating the time this event was reported, expressed in terms of the number of milliseconds since the standard base time known as "the epoch": January 1, 1970, 00:00:00 GMT

    Definition Classes
      InfoProvided → Event

38. #### def toString (): String

    Definition Classes
      InfoProvided → AnyRef → Any

39. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

40. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

41. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

42. #### def productElements : Iterator[Any]

    Definition Classes
      Product
    Annotations
      @deprecated
    Deprecated

      use productIterator instead

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Event

### Inherited from Ordered[Event]

### Inherited from Comparable[Event]

### Inherited from AnyRef

### Inherited from Any